Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDataPump Class Reference
[obsolete]

The TQDataPump class moves data from a TQDataSource to a TQDataSink during event processing. More...

`#include <ntqasyncio.h>`

Inherits TQObject.

List of all member functions.

## Public Members

- TQDataPump ( TQDataSource * data_source, TQDataSink * data_sink )

## Detailed Description

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

The TQDataPump class moves data from a TQDataSource to a TQDataSink during event processing.

For a TQDataSource to provide data to a TQDataSink, a controller must exist to examine the TQDataSource::readyToSend() and TQDataSink::readyToReceive() methods and respond to the TQASyncIO::activate() signal of the source and sink. One very useful way to do this is interleaved with other event processing. TQDataPump provides this - create a pipe between a source and a sink, and data will be moved during subsequent event processing.

Note that each source can only provide data to one sink and each sink can only receive data from one source (although it is quite possible to write a multiplexing sink that is multiple sources).

## Member Function Documentation

### TQDataPump::TQDataPump ( TQDataSource * data_source, TQDataSink * data_sink )

Constructs a TQDataPump to move data from a given data_source to a given data_sink.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.